Loading...
Searching...
No Matches
etl::bit_order Struct Reference

`#include <bit_stream.h>`

## Public Types

enum | enum_type { lsb_first , msb_first }

## Detailed Description

Describes the order in which the bits of a value are written to, or read from, a bit stream. This is deliberately a distinct type from etl::endian (which describes byte order) so that bit order cannot be confused with byte order.

## Member Enumeration Documentation

## enum_type

enum etl::bit_order::enum_type

Enumerator
lsb_first | Least significant bit first.
msb_first | Most significant bit first.

The documentation for this struct was generated from the following file:

- include/etl/bit_stream.h